org.keycloak.authorization.entitlement

## Class EntitlementService

- java.lang.Object
- - org.keycloak.authorization.entitlement.EntitlementService

-     public class EntitlementService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitlementService(AuthorizationProvider authorization)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authorizePreFlight(String resourceServerId)`
    `void` | `get(String resourceServerId, EntitlementRequest entitlementRequest, javax.ws.rs.container.AsyncResponse asyncResponse)`
    `void` | `getAll(String resourceServerId, javax.ws.rs.container.AsyncResponse asyncResponse)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntitlementService

          public EntitlementService(AuthorizationProvider authorization)

  - ### Method Detail

    - #### authorizePreFlight

          @Path(value="{resource_server_id}")
           @OPTIONS
          public javax.ws.rs.core.Response authorizePreFlight(@PathParam(value="resource_server_id")
                                                                                                            String resourceServerId)

    - #### getAll

          @Path(value="{resource_server_id}")
           @GET
           @Produces(value="application/json")
           @Consumes(value="application/json")
          public void getAll(@PathParam(value="resource_server_id")
                                                                                                                                                 String resourceServerId,
                                                                                                                                                 @Suspended
                                                                                                                                                 javax.ws.rs.container.AsyncResponse asyncResponse)

    - #### get

          @Path(value="{resource_server_id}")
           @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public void get(@PathParam(value="resource_server_id")
                                                                                                                                               String resourceServerId,
                                                                                                                                               EntitlementRequest entitlementRequest,
                                                                                                                                               @Suspended
                                                                                                                                               javax.ws.rs.container.AsyncResponse asyncResponse)

Copyright © 2016 JBoss by Red Hat. All rights reserved.